<?xml version="1.0" encoding="UTF-8"?>
<WebServiceRequestEntity>
   <description></description>
   <name>create-payment-success</name>
   <tag></tag>
   <elementGuidId>a0f2cad5-711f-45b2-9a3f-0496057b7254</elementGuidId>
   <selectorMethod>BASIC</selectorMethod>
   <useRalativeImagePath>false</useRalativeImagePath>
   <connectionTimeout>0</connectionTimeout>
   <followRedirects>false</followRedirects>
   <httpBody></httpBody>
   <httpBodyContent>{
  &quot;text&quot;: &quot;{\n   \&quot;businessService\&quot;: {\n      \&quot;service\&quot;: {\n         \&quot;id\&quot;: ${service_id},\n         \&quot;name\&quot;: ${service_name}\n      },\n      \&quot;client\&quot;: {\n         \&quot;id\&quot;: ${client_id},\n         \&quot;name\&quot;: ${client_name},\n         \&quot;sharedKey\&quot;: ${client_sharedKey},\n         \&quot;status\&quot;: ${client_status}\n      },\n      \&quot;partner\&quot;: {\n         \&quot;id\&quot;: ${partner_id},\n         \&quot;name\&quot;: ${partner_name}\n      }\n   },\n   \&quot;acquirer\&quot;: {\n      \&quot;id\&quot;: ${acquirer_id},\n      \&quot;name\&quot;: ${acquirer_name}\n   },\n   \&quot;channel\&quot;: {\n      \&quot;id\&quot;: ${channel_id},\n      \&quot;name\&quot;: ${channel_name}\n   },\n   \&quot;order\&quot;: {\n      \&quot;invoiceNumber\&quot;: ${number},\n      \&quot;amount\&quot;: ${order_amount}\n   },\n   \&quot;transaction\&quot;: {\n      \&quot;date\&quot;: ${transaction_date},\n      \&quot;status\&quot;: ${transaction_status},\n      \&quot;originalRequestId\&quot;: ${originalReqId}\n   },\n   \&quot;customer\&quot;: {\n      \&quot;name\&quot;: ${costumer_name},\n      \&quot;email\&quot;: ${costumer_email}\n   },\n   \&quot;virtualAccountConfiguration\&quot;: {\n      \&quot;method\&quot;: ${vaConfig_method},\n      \&quot;feature\&quot;: ${vaConfig_feature},\n      \&quot;identifier\&quot;: [\n         {\n            \&quot;name\&quot;: ${Identifier_name},\n            \&quot;value\&quot;: ${Identifier_value}\n         },\n         {\n            \&quot;name\&quot;: ${Identifier_name1},\n            \&quot;value\&quot;: ${Identifier_value1}\n         },\n         {\n            \&quot;name\&quot;: ${Identifier_name1},\n            \&quot;value\&quot;: ${Identifier_value1}\n         }\n      ]\n   },\n   \&quot;virtualAccountInfo\&quot;: {\n      \&quot;virtualAccountNumber\&quot;: ${number},\n      \&quot;createdDate\&quot;: ${va_created},\n      \&quot;expiredDate\&quot;: ${va_expired},\n      \&quot;billingType\&quot;: ${va_billingType}\n   },\n   \&quot;virtualAccountPayment\&quot;: {\n      \&quot;status\&quot;: ${vaPayment_status},\n      \&quot;date\&quot;: ${va_date},\n      \&quot;identifier\&quot;: [\n          {\n              \&quot;name\&quot;: ${vaPayment_name},\n              \&quot;value\&quot;: ${vaPayment_value}\n          }\n      ]\n   },\n   \&quot;jdm\&quot;: {\n      \&quot;uuid\&quot;: ${number},\n      \&quot;registerUuid\&quot;: ${jdm_regisuuid},\n      \&quot;inquiryUuid\&quot;: ${jdminquiry_uuid},\n      \&quot;divisionName\&quot;: ${jdm_divisionName},\n      \&quot;departmentName\&quot;: ${jdm_department},\n      \&quot;databaseName\&quot;: ${jdm_database},\n      \&quot;clientCreationTime\&quot;: ${jdm_clientCreateTime},\n      \&quot;journeyId\&quot;: ${jdm_journeyid}\n   }\n}&quot;,
  &quot;contentType&quot;: &quot;application/json&quot;,
  &quot;charset&quot;: &quot;UTF-8&quot;
}</httpBodyContent>
   <httpBodyType>text</httpBodyType>
   <httpHeaderProperties>
      <isSelected>true</isSelected>
      <matchCondition>equals</matchCondition>
      <name>Content-Type</name>
      <type>Main</type>
      <value>application/json</value>
      <webElementGuid>2a5d4823-6be0-4b36-8112-6eea0689468f</webElementGuid>
   </httpHeaderProperties>
   <katalonVersion>8.4.1</katalonVersion>
   <maxResponseSize>0</maxResponseSize>
   <migratedVersion>5.4.1</migratedVersion>
   <restRequestMethod>POST</restRequestMethod>
   <restUrl>https://app-uat.doku.com/finance/kafka/publish?topicName=streaming-va-payment</restUrl>
   <serviceType>RESTful</serviceType>
   <soapBody></soapBody>
   <soapHeader></soapHeader>
   <soapRequestMethod></soapRequestMethod>
   <soapServiceEndpoint></soapServiceEndpoint>
   <soapServiceFunction></soapServiceFunction>
   <socketTimeout>0</socketTimeout>
   <useServiceInfoFromWsdl>true</useServiceInfoFromWsdl>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>17a5266a-ef8e-40dc-9a7b-627eb34822b3</id>
      <masked>false</masked>
      <name>number</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>7d0aa16b-ae87-4a4c-acf3-f0684bca70dd</id>
      <masked>false</masked>
      <name>va_date</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>fed5a0a7-065c-4b82-8499-0acbfafd52fc</id>
      <masked>false</masked>
      <name>transaction_date</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>20d9d532-69bc-41f4-b483-e90999b4fac1</id>
      <masked>false</masked>
      <name>service_id</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>42e55e54-a906-4ccf-9e60-893441ef94d2</id>
      <masked>false</masked>
      <name>service_name</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>ae6e72e9-849f-4619-af72-72f5802645c6</id>
      <masked>false</masked>
      <name>client_id</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>719011ac-3a45-4c6c-99cf-f37403cae921</id>
      <masked>false</masked>
      <name>client_name</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>6b8c0bb0-382c-4bba-a86e-814fcb77331d</id>
      <masked>false</masked>
      <name>client_sharedKey</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>81a29167-a8ad-4330-a292-e8dcbad1426d</id>
      <masked>false</masked>
      <name>client_status</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>67a3d127-69de-4210-b5e4-7ac2b9acdad0</id>
      <masked>false</masked>
      <name>partner_id</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>2f753fff-2d96-432c-b3c5-7cad49a21750</id>
      <masked>false</masked>
      <name>partner_name</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>7c3b32f0-dcbf-435c-ba1d-a03867f4ba11</id>
      <masked>false</masked>
      <name>acquirer_id</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>bed13525-b505-4bcc-91ab-a0a510f7b134</id>
      <masked>false</masked>
      <name>acquirer_name</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>29cff12f-0ad7-4f24-9968-38a5e1535bdd</id>
      <masked>false</masked>
      <name>channel_id</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>ddf66857-2393-42c7-a586-0d7f8514ff1d</id>
      <masked>false</masked>
      <name>channel_name</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>f3bcc28e-7093-41f6-97b1-55f82aa87cc2</id>
      <masked>false</masked>
      <name>order_amount</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>cbe022ad-8e5f-46bb-907d-1b285f3b8cc7</id>
      <masked>false</masked>
      <name>transaction_status</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>a66a749d-227b-40dd-95c9-dfb6b030cadb</id>
      <masked>false</masked>
      <name>originalReqId</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>690a5c9e-865d-44c8-b386-d1d73d541487</id>
      <masked>false</masked>
      <name>costumer_name</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>64602fdf-92e6-4c1e-86ff-3b430646c532</id>
      <masked>false</masked>
      <name>costumer_email</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>9b8ca9bd-c57b-435e-a733-47c7a1ca6482</id>
      <masked>false</masked>
      <name>vaConfig_method</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>a9444083-d7bb-4e80-a33d-56af5f36e9cc</id>
      <masked>false</masked>
      <name>vaConfig_feature</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>0a34e870-696f-46dc-9c09-10526755eed1</id>
      <masked>false</masked>
      <name>Identifier_name</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>0f1260d9-91ef-43d0-a4c8-bb26d74d479d</id>
      <masked>false</masked>
      <name>Identifier_value</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>e6cef9ea-8962-42ba-9778-6f6b7b7e9211</id>
      <masked>false</masked>
      <name>Identifier_name1</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>68786a72-4a14-44a9-b253-55479e0a3b33</id>
      <masked>false</masked>
      <name>Identifier_value1</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>64edd12c-1bd4-4133-b47e-9af7b041f1be</id>
      <masked>false</masked>
      <name>Identifier_name2</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>ede95c64-4cb4-42a5-b553-1568ead6d03d</id>
      <masked>false</masked>
      <name>Identifier_value2</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>8d2cc188-5f12-43a8-8028-c4c7bf6b6ad2</id>
      <masked>false</masked>
      <name>va_created</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>b165bba8-b4e4-4f2a-8e7c-7b9b3c592104</id>
      <masked>false</masked>
      <name>va_expired</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>569f893c-8701-4755-8a8b-6506b3aff59a</id>
      <masked>false</masked>
      <name>va_billingType</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>5320cba7-ffde-4120-aa8d-604e8da8aac8</id>
      <masked>false</masked>
      <name>vaPayment_status</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>a63a3124-028c-4e36-ae01-cc13f2bc4fcf</id>
      <masked>false</masked>
      <name>vaPayment_name</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>f27690f2-61c6-4925-b579-2837d7bfc9fd</id>
      <masked>false</masked>
      <name>vaPayment_value</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>749ee9bc-86f6-40f6-8e8d-32db778f77fb</id>
      <masked>false</masked>
      <name>jdm_regisuuid</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>9d422f92-385c-4dc7-922d-49447e47ca09</id>
      <masked>false</masked>
      <name>jdminquiry_uuid</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>39dbd193-4cc6-4b3d-883f-1b3e158ddce2</id>
      <masked>false</masked>
      <name>jdm_divisionName</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>cba78dec-1a32-44de-b3a7-a5fb198aa614</id>
      <masked>false</masked>
      <name>jdm_department</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>29e76827-a0d2-475c-b3c3-548564363e6a</id>
      <masked>false</masked>
      <name>jdm_database</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>dba3fdbb-94f4-420d-9e8e-1cda759cccee</id>
      <masked>false</masked>
      <name>jdm_clientCreateTime</name>
   </variables>
   <variables>
      <defaultValue>''</defaultValue>
      <description></description>
      <id>339e7382-77cd-4102-8d8e-c2641d782b16</id>
      <masked>false</masked>
      <name>jdm_journeyid</name>
   </variables>
   <verificationScript>import static org.assertj.core.api.Assertions.*

import com.kms.katalon.core.testobject.RequestObject
import com.kms.katalon.core.testobject.ResponseObject
import com.kms.katalon.core.webservice.keyword.WSBuiltInKeywords as WS
import com.kms.katalon.core.webservice.verification.WSResponseManager

import groovy.json.JsonSlurper
import internal.GlobalVariable as GlobalVariable

RequestObject request = WSResponseManager.getInstance().getCurrentRequest()

ResponseObject response = WSResponseManager.getInstance().getCurrentResponse()</verificationScript>
   <wsdlAddress></wsdlAddress>
</WebServiceRequestEntity>
